Skip to main content
GET
Get Verification Status

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Query Parameters

reference_id
integer

It is the unique ID created by Cashfree Payments that you received in the Create DigiLocker URL API response. format: int64

verification_id
string

It is the unique ID you created to identify the Create DigiLocker URL API request.

Response

Success response for retrieving status of the DigiLocker request.

user_details
object

It displays the details of the individual(user).

Example:
status
string

Indicates the status of the DigiLocker request. Possible values are:

  • PENDING: The user has not yet given document consent.
  • AUTHENTICATED: The user has logged in and provided document consent.
  • EXPIRED: The DigiLocker url has expired because the user did not take any action within the 10-minute validity window.
  • CONSENT_DENIED: The user explicitly denied document consent by clicking the "Deny" button on the DigiLocker consent screen.
Example:

"PENDING"

document_requested
string[]

It contains the information of the requested document(s) for verification.

Example:

It displays the consent of the individual(user) for document verification.

Example:

It displays the date and time until which the document consent is valid.

Example:

"2025-09-30T07:10:00.000Z"

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"ABC00123"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

1234